CEmulationLocale (Jython API documentation)
Date: 2020-03-21

org.python.modules._locale

## Class CEmulationLocale

- java.lang.Object
- - org.python.modules._locale.CEmulationLocale

- All Implemented Interfaces:
    DateSymbolLocale, PyLocale

      public class CEmulationLocale
      extends java.lang.Object
      implements PyLocale

  Emulates the Python (ie POSIX) 'C' locale. The C emulation locale uses only ANSI characters in non-unicode strings, in keeping with it being the locale of last resort and maximum compatibility. Used by the _locale module. Callers would not usually interact with this class directly unless working with _locale internals.
  Since:
    Jython 2.7.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CEmulationLocale()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAmPmStrings()`
    `PyString` | `getLocaleString()`
    `java.lang.String[]` | `getMonths()`
    `java.lang.String[]` | `getShortMonths()`
    `java.lang.String[]` | `getShortWeekdays()`
    `PyString` | `getUnderlyingLocale()`
    `java.lang.String[]` | `getWeekdays()`
    `PyDictionary` | `localeconv()`
    `int` | `strcoll(PyString str1, PyString str2)`
    `PyString` | `strxfrm(PyString str1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CEmulationLocale

          public CEmulationLocale()

  - ### Method Detail

    - #### localeconv

          public PyDictionary localeconv()

      Specified by:
        `localeconv` in interface `PyLocale`

    - #### getLocaleString

          public PyString getLocaleString()

      Specified by:
        `getLocaleString` in interface `PyLocale`

    - #### getUnderlyingLocale

          public PyString getUnderlyingLocale()

      Specified by:
        `getUnderlyingLocale` in interface `PyLocale`

    - #### strcoll

          public int strcoll(PyString str1,
                             PyString str2)

      Specified by:
        `strcoll` in interface `PyLocale`

    - #### strxfrm

          public PyString strxfrm(PyString str1)

      Specified by:
        `strxfrm` in interface `PyLocale`

    - #### getShortWeekdays

          public java.lang.String[] getShortWeekdays()

      Specified by:
        `getShortWeekdays` in interface `DateSymbolLocale`

    - #### getWeekdays

          public java.lang.String[] getWeekdays()

      Specified by:
        `getWeekdays` in interface `DateSymbolLocale`

    - #### getShortMonths

          public java.lang.String[] getShortMonths()

      Specified by:
        `getShortMonths` in interface `DateSymbolLocale`

    - #### getMonths

          public java.lang.String[] getMonths()

      Specified by:
        `getMonths` in interface `DateSymbolLocale`

    - #### getAmPmStrings

          public java.lang.String[] getAmPmStrings()

      Specified by:
        `getAmPmStrings` in interface `DateSymbolLocale`

Jython homepage